cURL
curl "https://api.ionq.co/v0.4/jobs/0197379a-c3b8-7548-9da4-bbb7067311c1/cost" \
-H "Authorization: apiKey your-api-key"import requests
url = "https://api.ionq.co/v0.4/jobs/{UUID}/cost"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.ionq.co/v0.4/jobs/{UUID}/cost', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"dry_run": false,
"estimated_cost": {
"value": 24.83,
"unit": "usd"
},
"cost": {
"value": 24.83,
"unit": "usd"
}
}Jobs
Get job cost
Retrieve billing information for a specific job.
GET
/
jobs
/
{UUID}
/
cost
cURL
curl "https://api.ionq.co/v0.4/jobs/0197379a-c3b8-7548-9da4-bbb7067311c1/cost" \
-H "Authorization: apiKey your-api-key"import requests
url = "https://api.ionq.co/v0.4/jobs/{UUID}/cost"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.ionq.co/v0.4/jobs/{UUID}/cost', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"dry_run": false,
"estimated_cost": {
"value": 24.83,
"unit": "usd"
},
"cost": {
"value": 24.83,
"unit": "usd"
}
}Retrieve the billing information for a specific job, including both estimated and actual cost in USD. This shows how much usage time the job consumed and the corresponding charges based on your contract rates.
Learn more about billing and budgets.
Authorizations
API keys are associated with a user and can be created on the IonQ Quantum Cloud application. To authenticate, prefix your API Key with apiKey and place it in the Authorization request header. Ex: Authorization: apiKey your-api-key
Path Parameters
Was this page helpful?

